Retrieve a paginated list of venue withdrawals with optional filtering by asset and venue
curl --request GET \
--url https://api.staging.layer1.com/trade/v1/venues/withdrawals \
--header 'Authorization: Bearer <token>'{
"content": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"asset": {
"code": "ETH"
},
"venue": "binance",
"status": "COMPLETED",
"amount": "0.5",
"blockchainDestination": {
"address": 6.6325114945411165e+47,
"network": "ETH"
},
"reference": "WITHDRAW-ETH-001",
"venueTransferId": "WITHDRAW-456",
"createdAt": "2023-10-01T12:00:00Z",
"updatedAt": "2023-10-01T12:30:00Z",
"blockchainMetadata": {
"hash": "0x1234567890abcdef..."
},
"fiatMetadata": null,
"failureMessage": null
}
],
"totalElements": 1,
"totalPages": 1,
"size": 20,
"number": 0
}Documentation Index
Fetch the complete documentation index at: https://exness-preview.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Filter withdrawals by asset code
32Filter withdrawals by venue code
255Filter by transfer status Transfer status indicating the current state of a deposit or withdrawal
SIMULATED, APPROVAL_REQUESTED, PENDING, SUBMITTED, COMPLETED, FAILED, CANCELLED Page number to get
x >= 0Maximum records to return (max 100)
0 <= x <= 100curl --request GET \
--url https://api.staging.layer1.com/trade/v1/venues/withdrawals \
--header 'Authorization: Bearer <token>'{
"content": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"asset": {
"code": "ETH"
},
"venue": "binance",
"status": "COMPLETED",
"amount": "0.5",
"blockchainDestination": {
"address": 6.6325114945411165e+47,
"network": "ETH"
},
"reference": "WITHDRAW-ETH-001",
"venueTransferId": "WITHDRAW-456",
"createdAt": "2023-10-01T12:00:00Z",
"updatedAt": "2023-10-01T12:30:00Z",
"blockchainMetadata": {
"hash": "0x1234567890abcdef..."
},
"fiatMetadata": null,
"failureMessage": null
}
],
"totalElements": 1,
"totalPages": 1,
"size": 20,
"number": 0
}